MercatDevelopers
  1. Auth
MercatDevelopers
  • Getting Started
  • Auth
    • Authenticate client
      POST
  • Stores
    • List all stores
      GET
    • Get store details
      GET
  • Menus
    • Get menu details
      GET
  • Orders
    • Get order details
      GET
  • Webhooks
    • Webhooks
    • stores.update
    • orders.create
    • orders.update
    • menus.update
  1. Auth

Authenticate client

Stage
https://stage.api.mercat.com
Stage
https://stage.api.mercat.com
POST
/v1/mercat_developers/auth
Authenticate using client_id and client_secret to obtain an access token

Request

Body Params application/jsonRequired

Example
{
    "client_id": "your_client_id",
    "client_secret": "your_client_secret"
}

Responses

🟢200OK
application/json
Successful authentication
Body

Example
{
    "token": "a_valid_access_token"
}
🟠401Unauthorized
Modified at 2026-02-17 15:11:07
Previous
Getting Started
Next
List all stores
Built with